4

My laptop has Dual GPU integrated.

  1. Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller
  2. Advanced Micro Devices, Inc. [AMD/ATI] Seymour [Radeon HD 6400M/7400M Series]

Now, while testing Ubuntu 16.04 using Live USB, I could not confirm as if the AMDGPU was installed or not, or even either supported or not.

Does AMDGPU supports the Radeon HD 6400M/7400M Series on Ubuntu 16.04, or not, or not yet?

  • If does support, how can I verify or install the AMDGPU (as I read, it should be auto installed, isn't it?)? (please don't confuse the Live USB scenario, that was just for checking, due to the news about amdgpu and ubuntu 16.04. i am asking for the actual full/hard install into the device, here in case my laptop)
  • If does not support, can I hope for it to be supported?
  • If not yet supported, can I hope for it to be supported?
  • If will not be supported, well that's a misery, I guess!

I have looked into the RadeonDriver page from Ubuntu, but could not locate my GPU neither as supported nor unsupported.

Some Related Information:

lspci -nn | grep VGA

ubuntu@ubuntu:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Seymour [Radeon HD 6400M/7400M Series] [1002:6760] (rev ff)

lspci -v -s 00:02.0

ubuntu@ubuntu:~$ sudo lspci -v -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
    Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics Controller
    Flags: bus master, fast devsel, latency 0, IRQ 28
    Memory at f6800000 (64-bit, non-prefetchable) [size=4M]
    Memory at d0000000 (64-bit, prefetchable) [size=256M]
    I/O ports at f000 [size=64]
    Expansion ROM at <unassigned> [disabled]
    Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
    Capabilities: [d0] Power Management version 2
    Capabilities: [a4] PCI Advanced Features
    Kernel driver in use: i915
    Kernel modules: i915

lspci -v -s 01:00.0

ubuntu@ubuntu:~$ sudo lspci -v -s 01:00.0
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Seymour [Radeon HD 6400M/7400M Series] (rev ff) (prog-if ff)
    !!! Unknown header type 7f
    Kernel driver in use: radeon
    Kernel modules: radeon

Thanks :)

3

This adapter is not supported by amdgpu. It is supported by radeon as you see in the output.

It is extremely unlikely that older GPUs will be ever supported by amdgpu.

radeon driver will be supported and I do not see what is the problem.

  • is not "radeon" driver the "fglrx" one? and as I see, the "fglrx" is deprecated from ubuntu 16.04. that's why the question of supported gpu by "amdgpu" appear. – Adam Fletcher Jul 26 '16 at 8:42
  • 2
    radeon is not fglrx. – Pilot6 Jul 26 '16 at 8:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.